Package org.apache.sling.scripting.sightly.java.compiler

## Interface ClassInfo

    @ProviderType
    public interface ClassInfo

This interface provides information about classes that will be generated by the `JavaClassBackendCompiler`.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFullyQualifiedClassName()` Returns the fully qualified class name.
`String` `getPackageName()` Returns the class' package name.
`String` `getSimpleClassName()` Returns the class simple name.

### Method Detail

#### getSimpleClassName

    String getSimpleClassName()

Returns the class simple name.

Returns:
  the class simple name

#### getPackageName

    String getPackageName()

Returns the class' package name.

Returns:
  the class' package name

#### getFullyQualifiedClassName

    String getFullyQualifiedClassName()

Returns the fully qualified class name.

Returns:
  the fully qualified class name